Package org.eclipse.e4.ui.css.core.dom.properties.css2

# Interface ICSSPropertyDimensionHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyDimensionHandler`

public interface ICSSPropertyDimensionHandler extends ICSSPropertyHandler
CSS2 Dimension Property Handler.

See Also:
  - w3schools

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyHeight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the height of an element.
`void`
`applyCSSPropertyLineHeight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the distance between lines.
`void`
`applyCSSPropertyMaxHeight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the maximum height of an element.
`void`
`applyCSSPropertyMaxWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the maximum width of an element.
`void`
`applyCSSPropertyMinHeight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the minimum height of an element.
`void`
`applyCSSPropertyMinWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the minimum width of an element.
`void`
`applyCSSPropertyWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of an element.
`String`
`retrieveCSSPropertyHeight(Object widget, String property, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMaxHeight(Object widget, String property, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMinHeight(Object widget, String property, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMinWidth(Object widget, String property, String pseudo, CSSEngine engine)`

### Methods inherited from interface org.eclipse.e4.ui.css.core.dom.properties.ICSSPropertyHandler

`applyCSSProperty, retrieveCSSProperty`

## Method Details

### applyCSSPropertyHeight

void applyCSSPropertyHeight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the height of an element. Available values are=auto length %

Throws:
  `Exception`

### applyCSSPropertyLineHeight

void applyCSSPropertyLineHeight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the distance between lines. Available values are=normal number length %

Throws:
  `Exception`

### applyCSSPropertyMaxHeight

void applyCSSPropertyMaxHeight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the maximum height of an element. Available values are= none length %

Throws:
  `Exception`

### applyCSSPropertyMaxWidth

void applyCSSPropertyMaxWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the maximum width of an element. Available values are=none length %

Throws:
  `Exception`

### applyCSSPropertyMinHeight

void applyCSSPropertyMinHeight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the minimum height of an element. Available values are=length %

Throws:
  `Exception`

### applyCSSPropertyMinWidth

void applyCSSPropertyMinWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the minimum width of an element. Available values are=length %

Throws:
  `Exception`

### applyCSSPropertyWidth

void applyCSSPropertyWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the width of an element. Available values are=auto % length

Throws:
  `Exception`

### retrieveCSSPropertyHeight

String retrieveCSSPropertyHeight(Object widget, String property, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMaxHeight

String retrieveCSSPropertyMaxHeight(Object widget, String property, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMinHeight

String retrieveCSSPropertyMinHeight(Object widget, String property, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMinWidth

String retrieveCSSPropertyMinWidth(Object widget, String property, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`